<html>

<head>
  <title>Test</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB"
    crossorigin="anonymous">
  <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"
    integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
  <link href="./user.css" rel="stylesheet">
</head>

<body>
  <div class="row">
    <div class="col-sm-3">
      <div id="user-sidebar">
        <h1>User Managements</h1>

        <h2>List User</h2>
        <button id="show-form">List user</button>

        <h2>Create User</h2>
        <form id="create-form">
          <input type='hidden' name="username" class="form-control" />
          <div>
            <label>
              Username:
              <input type='text' name="username" placeholder="Username to create" />
            </label>
          </div>
          <div>
            <label>
              Password:
              <input type='password' name="password" placeholder="Password " />
            </label>
          </div>
          <div>
            <label>
              Level:
              <input type='text' name="level" placeholder="Level" />
            </label>
          </div>
          <div>
            <label>
              university:
              <select name="university">
                <option value="">--- Please Choose ---</option>
                <option value="hku">香港大學</option>
                <option value="ust">香港科技大學</option>
                <option value="cuhk">香港中文大學</option>


              </select>
            </label>
          </div>
          <div>
            <label>
              subject:
              <input type='text' name="subject" placeholder="Username to delete" />
            </label>
          </div>
          <div>
            <label>
              publicExamResult:
              <input type='text' name="publicExamResult" placeholder="Username to delete" />
            </label>
          </div>

          <div>
            <label>
              year:
              <select name="year">
                <option value="">--- Please Choose ---</option>
                <option value="1">1</option>
                <option value="2">2</option>
                <option value="3">3</option>
                <option value="4">4</option>
                <option value="5">5</option>
                <option value="6">6</option>
              </select>

            </label>
          </div>
          <div>
            <label>
              address:

              <input type='text' name="address" placeholder="Username to delete" />
            </label>
          </div>
          <div>
            <label>
              addressDetail:
              <input type='text' name="addressDetail" placeholder="Username to delete" />
            </label>
          </div>
          <div>
            <label>
              introduction:
              <input type='text' name="introduction" placeholder="Username to delete" />
            </label>
          </div>
          <div>
            <label>
              tel:
              <input type='text' name="tel" placeholder="Username to delete" />
            </label>
          </div>
          <div>
            <label>
              email:
              <input type='text' name="email" placeholder="Username to delete" />
            </label>
          </div>
          <div>
            <input type='submit' value="Submit" />
            <input type='reset' value="Clear" />
          </div>
        </form>

        <h2>Change User Password</h2>
        <form id="change-form">
          <input type='hidden' name="id" class="form-control" />
          <div>
            <label>
              Username:
              <input type='text' name="username" placeholder="Username of the user" />
            </label>
          </div>
          <div>
            <label>
              Password:
              <input type='password' name="password" placeholder="Password to be changed" />
            </label>
          </div>
          <div>
            <input type='submit' value="Submit" />
            <input type='reset' value="Clear" />
          </div>
        </form>

        <h2>Delete a User </h2>
        <form id="delete-form">
          <input type='hidden' name="id" class="form-control" />
          <div>
            <label>
              Username:
              <input type='text' name="username" placeholder="Username to delete" />
            </label>
          </div>
          <div>
            <input type='submit' value="Submit" />
            <input type='reset' value="Clear" />
          </div>
        </form>
      </div>
    </div>
    <div class="col-sm-9">
      <h3> User List</h3>
      <div id="users-main">

      </div>

    </div>
  </div>
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
    crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js" integrity="sha384-smHYKdLADwkXOn1EmN1qk/HfnUcbVRZyYmZ4qpPea6sjB/pTJ0euyQp0Mk8ck+5T"
    crossorigin="anonymous"></script>
  <script src="user.js"></script>
</body>

</html>